<?php

namespace tests\Api\Domain;

use AbuseIO\Models\Account;
use AbuseIO\Models\Domain;
use AbuseIO\Models\User;
use tests\Api\DestroyTestHelper;
use tests\TestCase;

class DestroyTest extends TestCase
{
    use DestroyTestHelper;

    const URL = '/api/v1/domains';

    public function initWithValidResponse()
    {
        $user = User::find(1);

        $domain = factory(Domain::class)->create();

        $server = $this->transformHeadersToServerVars(
            [
                'X-API-TOKEN' => Account::getSystemAccount()->token,
            ]);

        $response = $this->actingAs($user)->call('DELETE', self::getURLWithId($domain->id), [], [], [], $server);

        $this->statusCode = $response->getStatusCode();
        $this->content = $response->getContent();
    }

    private static function getURLWithId($id)
    {
        return sprintf('%s/%s', self::URL, $id);
    }
}
